- Begin launch process for sender
Begins launch process for a sender in project.
Requirements to begin launch process:
- Questionnaire needs to be completed;
- Countries (
details.countries) must have at least one (1) value; - At least one contact phone number (
details.brand.phones) or a contact email (details.brand.emails) is required, but both are recommended; - A brand banner url (
details.brand.bannerUrl) must be defined; - A brand logo url (
details.brand.logoUrl) must be defined; - A privacy policy url (
details.brand.privacyPolicyUrl) must be defined; - A terms of service url (
details.brand.termsOfServiceUrl) must be defined;
If no video URI was provided in questionnaire, Sender will go into PENDING_LAUNCH while a video is added by Service Implementation.
The unique ID of the project. You can find this on the Sinch Dashboard.
- Production serverhttps://provisioning.api.sinch.com/v1/projects/{projectId}/rcs/senders/{senderId}/launch
curl -i -X POST \
-u '<username>:<password>' \
'https://provisioning.api.sinch.com/v1/projects/{projectId}/rcs/senders/{senderId}/launch' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Launched sender in project
Billing category. Note: The billing framework distinguishes between two primary categories: non-conversational and conversational. The non-conversational category includes SINGLE_MESSAGE and BASIC_MESSAGE types which are considered functionally equivalent in the current revision. The conversational category includes CONVERSATIONAL and CONVERSATIONAL_LEGACY types. Values BASIC_MESSAGE, SINGLE_MESSAGE and CONVERSATIONAL_LEGACY are deprecated and will be removed in a future version.
- CONVERSATIONAL: Designed for longer, more complex sessions where the user and brand exchange a series of messages.
- NON_CONVERSATIONAL: Represents a non-conversational billing category, which replaces the legacy SINGLE_MESSAGE and BASIC_MESSAGE categories. This is for agents that primarily engage in one-way (A2P) communication.
- BASIC_MESSAGE: Billing model is similar to SMS. Deprecated value, use NON_CONVERSATIONAL instead.
- CONVERSATIONAL_LEGACY: Legacy category to support the billing configuration of existing agents. Deprecated value, use CONVERSATIONAL instead.
- SINGLE_MESSAGE: Replaces SMS with a richer messaging experience. Deprecated value, use NON_CONVERSATIONAL instead.
Internal Google hosting region
If set, the details of the Conversation API App the sender is connected to.
The current state of the sender.
Response when successfully launching a sender with all required attributes.
{ "id": "cf11794a-6a5e-4a12-b103-da79bd378bf1", "state": "LAUNCHING", "testNumberStates": [ { … }, { … }, { … } ], "countryStatus": [ { … }, { … }, { … } ], "details": { "brand": { … }, "testNumbers": [ … ], "countries": [ … ], "questionnaire": { … } }, "region": "EU", "billingCategory": "CONVERSATIONAL", "useCase": "OTP", "hostingRegion": "EUROPE", "authName": "yurwN6123asd", "authToken": "ejiiqJtDyurwN6jLze8v", "conversationApiApp": "4CF9CE97504C4A468F4610919D17ECC1", "conversationApiAppDetails": { "id": "4CF9CE97504C4A468F4610919D17ECC1", "projectId": "ea026751-3edf-40a9-ad93-1b382bd60a78", "region": "EU", "channelStatus": "ACTIVE" }, "created": "2023-01-19t13:11:08.204Z", "modified": "2023-01-19t13:11:08.204Z", "launched": "2023-01-19t13:11:08.204Z", "supplierDetails": { "google": { … } } }